PipeWire: client Struct Reference

PipeWire 0.3.34

Data Fields
client Struct Reference

## Data Fields
struct pw_protocol_client | this
struct pw_context * | context
struct spa_source * | source
struct pw_protocol_native_connection * | connection
struct spa_hook | conn_listener
int | ref
unsigned int | connected:1
unsigned int | disconnecting:1
unsigned int | need_flush:1
unsigned int | paused:1
struct spa_list | link
| link in impl client_list More...
struct impl * | impl
struct server * | server
struct pw_core * | core
struct spa_hook | core_proxy_listener
char | name [512]
struct pw_stream * | capture
struct spa_hook | capture_listener
struct pw_stream * | playback
struct spa_hook | playback_listener
struct spa_io_rate_match * | rate_match
unsigned int | disconnect:1
unsigned int | cleanup:1
struct sm_client * | obj
uint32_t | id
struct spa_hook | listener
unsigned int | active:1
unsigned int | portal_managed:1
unsigned int | setup_complete:1
unsigned int | is_portal:1
char * | app_id
enum media_role | media_roles
enum media_role | allowed_media_roles

## Field Documentation

## ◆ active

unsigned int client::active

## ◆ allowed_media_roles

enum media_role client::allowed_media_roles

## ◆ app_id

char* client::app_id

## ◆ capture

struct pw_stream* client::capture

## ◆ capture_listener

struct spa_hook client::capture_listener

## ◆ cleanup

unsigned int client::cleanup

## ◆ conn_listener

struct spa_hook client::conn_listener

## ◆ connected

unsigned int client::connected

## ◆ connection

struct pw_protocol_native_connection* client::connection

## ◆ context

struct pw_context* client::context

Referenced by pw_impl_client_check_permissions(), pw_impl_client_register(), and pw_resource_new().

## ◆ core

struct pw_core* client::core

Referenced by pw_impl_client_get_context(), and pw_impl_client_update_permissions().

## ◆ core_proxy_listener

struct spa_hook client::core_proxy_listener

## ◆ disconnect

unsigned int client::disconnect

## ◆ disconnecting

unsigned int client::disconnecting

## ◆ id

uint32_t client::id

Referenced by pw_global_update_permissions(), pw_impl_client_update_permissions(), pw_resource_error(), pw_resource_ping(), and pw_resource_set_bound_id().

## ◆ impl

struct impl * client::impl

## ◆ is_portal

unsigned int client::is_portal

## ◆ link

struct spa_list client::link

link in impl client_list

Referenced by pw_impl_client_destroy().

## ◆ listener

struct spa_hook client::listener

## ◆ media_roles

enum media_role client::media_roles

## ◆ name

char client::name[512]

## ◆ need_flush

unsigned int client::need_flush

## ◆ obj

struct sm_client * client::obj

## ◆ paused

unsigned int client::paused

## ◆ playback

struct pw_stream* client::playback

## ◆ playback_listener

struct spa_hook client::playback_listener

## ◆ portal_managed

unsigned int client::portal_managed

## ◆ rate_match

struct spa_io_rate_match* client::rate_match

## ◆ ref

int client::ref

## ◆ server

struct server* client::server

## ◆ setup_complete

unsigned int client::setup_complete

## ◆ source

struct spa_source * client::source

## ◆ this

struct pw_protocol_client client::this

The documentation for this struct was generated from the following files:

- module-protocol-native.c
- module-protocol-simple.c
- access-flatpak.c
- access-portal.c